JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Macros | Functions
juce_EnumHelpers.h File Reference

## Macros
#define | JUCE_DECLARE_SCOPED_ENUM_BITWISE_OPERATORS(EnumType)
| Macro to enable bitwise operations for scoped enums (enum struct/class).

## Functions
template<typename EnumType , std::enable_if_t< std::is_enum_v< EnumType >, int > = 0>
constexpr bool | hasBitValueSet (EnumType enumValue, EnumType valueToLookFor) noexcept
template<typename EnumType , std::enable_if_t< std::is_enum_v< EnumType >, int > = 0>
constexpr EnumType | withBitValueSet (EnumType enumValue, EnumType valueToAdd) noexcept
template<typename EnumType , std::enable_if_t< std::is_enum_v< EnumType >, int > = 0>
constexpr EnumType | withBitValueCleared (EnumType enumValue, EnumType valueToRemove) noexcept